.full-img,
.main-content img {
  padding: 0px;
  margin: 0px;
  height: 100%;
  width: 100%;
}

.in-the-top {
  position: fixed;
  width: 99%;
  z-index: 9999;
}

.footer-text {
  text-align: center;
  font-size: 0.8rem;
  padding: 0rem 0rem 0.5rem 0rem
}

/* Nav bar */
.nav-link {
  text-decoration: none;
}

.nav-link:hover {
  color: rgb(255, 255, 255);
  transition: background 0.2s ease, color 0.2s ease;
}

html {
  color: rgb(255, 255, 255);
  background-color: #0d1117;
}

a {
  color: rgb(255, 255, 255);
}

nav a,
nav a:visited {
  text-decoration: none;
  color: rgb(174, 174, 174);
}

a:visited {
  color: rgb(255, 255, 255);
}

.main-content a {
  text-decoration: underline;
}

nav ul {
  list-style: none;
  margin: 0px;
  padding: 0px;
  overflow: hidden;
  text-decoration: none;
  text-transform: uppercase;
}

nav li {
  float: left;
}

.nav-link {
  font-size: 16px;
  display: block;
  color: rgb(174, 174, 174);
  margin-right: 20px;
  margin-top: 20px;
  margin-bottom: 20px;
}

.hovereffect {
  width: 100%;
  height: 100%;
  float: left;
  overflow: hidden;
  position: relative;
  text-align: center;
  color: rgb(255, 255, 255);
  margin-bottom: 1em;
}

.hovereffect .overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  overflow: hidden;
  top: 0;
  left: 0;
}

.hovereffect .overlay-text {
  font-size: 3.5rem;
  font-family: 'Crimson Text', sans-serif;
  font-weight: 300;
  left: 50%;
  position: absolute;
  top: 50%;
  width: 100%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  opacity: 0;
  filter: alpha(opacity=0);
  -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
  transition: opacity 0.35s, transform 0.35s;
}

.hovereffect:hover .overlay-text {
  opacity: 1;
  filter: alpha(opacity=100);
  color: white;
  text-shadow: black 0.1em 0.1em 0.2em
}

.hovereffect img {
  display: block;
  position: relative;
  max-width: none;
  width: 100%;
  height: 100%;
  object-fit: cover;

  -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
  transition: opacity 0.35s, transform 0.35s;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.hovereffect:hover img {
  opacity: 0.3;
  filter: alpha(opacity=1);
}

#gitalk-container {
  margin: 10px 40px;
}

h1 {
  margin-top: 0px;
}
